Package org.spongepowered.asm.transformers

## Class MixinClassWriter

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - org.objectweb.asm.ClassWriter
    - - org.spongepowered.asm.transformers.MixinClassWriter

    public class MixinClassWriter
    extends org.objectweb.asm.ClassWriter

ClassWriter which resolves common superclasses using Mixin's metadata instead of calling Class.forName

### Field Summary

### Fields inherited from class org.objectweb.asm.ClassWriter

`COMPUTE_FRAMES, COMPUTE_MAXS`

### Fields inherited from class org.objectweb.asm.ClassVisitor

`api, cv`

### Constructor Summary

Constructors
`MixinClassWriter​(int flags)`
`MixinClassWriter​(org.objectweb.asm.ClassReader classReader, int flags)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getCommonSuperClass​(java.lang.String type1, java.lang.String type2)`

### Methods inherited from class org.objectweb.asm.ClassWriter

`getClassLoader, hasFlags, newClass, newConst, newConstantDynamic, newField, newHandle, newHandle, newInvokeDynamic, newMethod, newMethodType, newModule, newNameType, newPackage, newUTF8, setFlags, toByteArray, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class org.objectweb.asm.ClassVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MixinClassWriter

    public MixinClassWriter​(int flags)

#### MixinClassWriter

    public MixinClassWriter​(org.objectweb.asm.ClassReader classReader,
                            int flags)

### Method Detail

#### getCommonSuperClass

    protected java.lang.String getCommonSuperClass​(java.lang.String type1,
                                                   java.lang.String type2)

Overrides:
  `getCommonSuperClass` in class `org.objectweb.asm.ClassWriter`